<?php

namespace App\Http\Controllers;

use App\Models\Brand;
use Illuminate\Http\Request;

class BrandController extends Controller
{
    public function index()
    {
        $brands = brand::latest()->get();
        return view('admin.allBrand', compact('brands'));
    }

    public function addBrand()
    {
        return view('admin.addBrand');
    }

    public function storeBrand(Request $request)
    {
        $request->validate([
            'brand_name' => 'required|unique:brands',
        ]);

        Brand::insert([
            'brand_name' => $request->brand_name,
        ]);
        return redirect()->route('allbrand')->with('message', '成功添加牌子');

    }

    public function editBrand($id)
    {
        $brand_info = Brand::findOrFail($id);

        return view('admin.editBrand', compact('brand_info'));
    }

    public function updateBrand(Request $request)
    {
        $brand_id = $request->brand_id;

        $request->validate([
            'brand_name' => 'required|unique:brands',
        ]);

        Brand::findOrFail($brand_id)->update([
            'brand_name' => $request->brand_name,
        ]);
        return redirect()->route('allbrand')->with('message', '成功更新牌子');

    }

    public function deleteBrand($id)
    {
        Brand::findOrFail($id)->delete();
        return redirect()->route('allbrand')->with('message', '成功刪除牌子');

    }
}
