<?php

namespace App\Http\Controllers;

use App\Models\Color;
use Illuminate\Http\Request;

class ColorController extends Controller
{
    public function index()
    {
        $colors = Color::latest()->get();
        return view('admin.allColor', compact('colors'));
    }

    public function addColor()
    {
        return view('admin.addColor');
    }

    public function storeColor(Request $request)
    {
        $request->validate([
            'color_name' => 'required|unique:colors',
            'color_price' => 'required',

        ]);

        Color::insert([
            'color_name' => $request->color_name,
            'color_price' => $request->color_price,
        ]);
        return redirect()->route('allcolor')->with('message', '成功添加顔色');
    }

    public function editColor($id)
    {
        $color_info = Color::findOrFail($id);

        return view('admin.editColor', compact('color_info'));
    }

    public function updateColor(Request $request)
    {
        $color_id = $request->color_id;

        $request->validate([
            'color_name' => 'required|unique:colors',
            'color_price' => 'required',
        ]);

        color::findOrFail($color_id)->update([
            'color_name' => $request->color_name,
            'color_price' => 'required',

        ]);
        return redirect()->route('allcolor')->with('message', '成功更新顔色');

    }

    public function deleteColor($id)
    {
        Color::findOrFail($id)->delete();
        return redirect()->route('allcolor')->with('message', '成功刪除顔色');

    }
}
