<?php

namespace App\Http\Controllers;

use App\Models\Origin;
use Illuminate\Http\Request;

class OriginController extends Controller
{
    public function index()
    {
        $origins = Origin::latest()->get();
        return view('admin.allOrigin', compact('origins'));
    }

    public function addOrigin()
    {
        return view('admin.addOrigin');
    }

    public function storeOrigin(Request $request)
    {
        $request->validate([
            'origin_name' => 'required|unique:origins',
        ]);

        Origin::insert([
            'origin_name' => $request->origin_name,
        ]);
        return redirect()->route('allorigin')->with('message', '成功添加產地');
    }

    public function editOrigin($id)
    {
        $origin_info = Origin::findOrFail($id);

        return view('admin.editOrigin', compact('origin_info'));
    }

    public function updateOrigin(Request $request)
    {
        $origin_id = $request->origin_id;

        $request->validate([
            'origin_name' => 'required|unique:origins',
        ]);

        Origin::findOrFail($origin_id)->update([
            'origin_name' => $request->origin_name,
        ]);
        return redirect()->route('allorigin')->with('message', '成功更新產地');

    }

    public function deleteOrigin($id)
    {
        Origin::findOrFail($id)->delete();
        return redirect()->route('allorigin')->with('message', '成功刪除產地');

    }
}
