<?php

namespace App\Http\Controllers;

use App\Models\Unit;
use Illuminate\Http\Request;

class UnitController extends Controller
{
    public function index()
    {
        $units = Unit::latest()->get();
        return view('admin.allUnit', compact('units'));
    }

    public function addUnit()
    {
        return view('admin.addUnit');
    }

    public function storeUnit(Request $request)
    {
        $request->validate([
            'unit_name' => 'required|unique:units',
        ]);

        Unit::insert([
            'unit_name' => $request->unit_name,
        ]);
        return redirect()->route('allunit')->with('message', '成功添加單位');

    }

    public function editUnit($id)
    {
        $unit_info = Unit::findOrFail($id);

        return view('admin.editUnit', compact('unit_info'));
    }

    public function updateUnit(Request $request)
    {
        $unit_id = $request->unit_id;

        $request->validate([
            'unit_name' => 'required|unique:units',
        ]);

        Unit::findOrFail($unit_id)->update([
            'unit_name' => $request->unit_name,
        ]);
        return redirect()->route('allunit')->with('message', '成功更新單位');

    }

    public function deleteUnit($id)
    {
        Unit::findOrFail($id)->delete();
        return redirect()->route('allunit')->with('message', '成功刪除單位');

    }

}
