@extends('admin.layouts.dashboard')

@section('content')
    <div class="">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>添加商品</h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <br />
                        <form action="{{ route('storeproduct') }}" method="post" id="add_product"
                            class="form-horizontal form-label-left" enctype="multipart/form-data">

                            @csrf
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">商品名稱</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="text" class="form-control" name="product_name"
                                        placeholder="輸入商品名稱">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇主分類</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="category_id" name="category_id" class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇主分類</option>
                                        @foreach ($categories as $category)
                                            <option value="{{ $category->id }}">{{ $category->category_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇等級二分類</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="lvl2_category_id" name="lvl2_category_id"
                                        class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇等級二分類</option>
                                        @foreach ($lvl2categories as $lvl2category)
                                            <option value="{{ $lvl2category->id }}">{{ $lvl2category->lvl2_category_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇等級三分類</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="lvl3_category_id" name="lvl3_category_id"
                                        class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇等級三分類</option>
                                        @foreach ($lvl3categories as $lvl3category)
                                            <option value="{{ $lvl3category->id }}">{{ $lvl3category->lvl3_category_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇等級四分類</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="lvl4_category_id" name="lvl4_category_id"
                                        class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇等級四分類</option>
                                        @foreach ($lvl4categories as $lvl4category)
                                            <option value="{{ $lvl4category->id }}">{{ $lvl4category->lvl4_category_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">型號</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="text" class="form-control" name="modal" placeholder="輸入型號">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">呎吋</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="text" class="form-control" name="size" placeholder="輸入呎吋">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">牌子</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="brand_id" name="brand_id" class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇牌子</option>
                                        @foreach ($brands as $brand)
                                            <option value="{{ $brand->id }}">{{ $brand->brand_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇顔色</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="color_id" name="color_id" class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇顔色</option>
                                        @foreach ($colors as $color)
                                            <option value="{{ $color->id }}">
                                                {{ $color->color_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇產地</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="origin_id" name="origin_id" class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇產地</option>
                                        @foreach ($origins as $origin)
                                            <option value="{{ $origin->id }}">
                                                {{ $origin->origin_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">選擇單位</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <select id="unit_id" name="unit_id" class="form-control col-md-7 col-xs-12">
                                        <option selected>選擇單位</option>
                                        @foreach ($units as $unit)
                                            <option value="{{ $unit->id }}">
                                                {{ $unit->unit_name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">圖片<span class="required"></span>
                                </label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="file" class="form-control" id="product_image" name="product_image" />
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">價錢</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="number" class="form-control" name="price" placeholder="輸入價錢">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">簡介<span
                                        class="required"></span>
                                </label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                    <textarea class="form-control" rows="3" name="description" placeholder="輸入簡介"></textarea>
                                </div>
                            </div>

                            <div class="ln_solid"></div>
                            <div class="form-group">
                                <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                                    <input type="submit" class="btn btn-success" value="遞交">
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
