@extends('admin.layouts.dashboard')

@section('content')
    <div class="">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <h2>主要分類</h2>
                        <div class="nav navbar-right panel_toolbox">
                            <a href="{{ route('addcategory') }}" class="btn btn-primary">添加主要分類</a>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">

                        <div class="table-responsive">
                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                    <tr class="headings">
                                        <th class="column-title">ID </th>
                                        <th class="column-title">分類名稱</th>
                                        <th class="column-title">圖片</th>
                                        <th class="column-title">排序</th>
                                        <th class="column-title">簡介</th>
                                        <th class="column-title no-link last"><span class="nobr">行動</span>
                                        </th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($categories as $category)
                                        <tr class="even pointer">
                                            <td>{{ $category->id }}</td>
                                            <td>{{ $category->category_name }}</td>
                                            <td>
                                                <img src="{{ asset($category->category_image) }}"
                                                    alt="{{ $category->category_name }}" height="100px">
                                            </td>
                                            <td>{{ $category->order }}</td>
                                            <td>{{ $category->description }}</td>
                                            <td>
                                                <a href="{{ route('editcategory', $category->id) }}"
                                                    class="btn btn-primary">更新</a>
                                                <a href="{{ route('deletecategory', $category->id) }}"
                                                    class="btn btn-danger">刪除</a>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>

        </div>
    </div>
    </div>
    </div>
@endsection
