@extends('admin.layouts.dashboard')

@section('content')
    <div class="">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <h2>等級三分類</h2>

                        <div class="nav navbar-right panel_toolbox">
                            <a href="{{ route('addcategorylvl3') }}" class="btn btn-primary">添加等級三分類</a>

                        </div>

                        <div class="clearfix"></div>
                    </div>

                    <div class="x_content">

                        <div class="table-responsive">
                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                    <tr class="headings">
                                        <th class="column-title">ID </th>
                                        <th class="column-title">等級三分類名稱 </th>
                                        <th class="column-title">主分類 </th>
                                        <th class="column-title">等級二分類 </th>
                                        <th class="column-title">圖片</th>
                                        <th class="column-title">排序</th>
                                        <th class="column-title">簡介</th>
                                        <th class="column-title no-link last"><span class="nobr">行動</span>
                                        </th>
                                    </tr>
                                </thead>
                                @foreach ($lvl3categories as $lvl3category)
                                    <tr class="even pointer">
                                        <td>{{ $lvl3category->id }}</td>
                                        <td>{{ $lvl3category->lvl3_category_name }}</td>
                                        <td>{{ $lvl3category->category_name }}</td>
                                        <td>{{ $lvl3category->lvl2_category_name }}</td>
                                        <td>
                                            <img src="{{ asset($lvl3category->lvl3_category_image) }}"
                                                alt="{{ $lvl3category->lvl3_category_name }}" height="100px">
                                        </td>
                                        <td>{{ $lvl3category->order }}</td>
                                        <td>{{ $lvl3category->description }}</td>
                                        <td>
                                            <a href="{{ route('editcategorylvl3', $lvl3category->id) }}"
                                                class="btn btn-primary">更新</a>
                                            <a href="{{ route('deletecategorylvl3', $lvl3category->id) }}"
                                                class="btn btn-danger">刪除</a>
                                        </td>
                                    </tr>
                                @endforeach
                                <tbody>

                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>

        </div>
    </div>
    </div>
    </div>
@endsection
