@extends('admin.layouts.dashboard')

@section('content')
    <div class="">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <h2>顔色</h2>
                        <div class="nav navbar-right panel_toolbox">
                            <a href="{{ route('addcolor') }}" class="btn btn-primary">添加顔色</a>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">

                        <div class="table-responsive">
                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                    <tr class="headings">
                                        <th class="column-title">ID </th>
                                        <th class="column-title">顔色名稱</th>
                                        <th class="column-title">顔色價錢</th>
                                        <th class="column-title no-link last"><span class="nobr">行動</span>
                                        </th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($colors as $color)
                                        <tr class="even pointer">
                                            <td>{{ $color->id }}</td>
                                            <td>{{ $color->color_name }}</td>
                                            <td>${{ $color->color_price }}</td>
                                            <td>
                                                <a href="{{ route('editcolor', $color->id) }}"
                                                    class="btn btn-primary">更新</a>
                                                <a href="{{ route('deletecolor', $color->id) }}"
                                                    class="btn btn-danger">刪除</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>

        </div>
    </div>
@endsection
