@extends('admin.layouts.dashboard')

@section('content')
    <div class="">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        @if (session()->has('message'))
                            <div class="alert alert-success">
                                {{ session()->get('message') }}
                            </div>
                        @endif
                        <h2>商品</h2>

                        <div class="nav navbar-right panel_toolbox">
                            <a href="{{ route('addproduct') }}" class="btn btn-primary">添加商品</a>

                        </div>
                        <div class="clearfix"></div>
                    </div>

                    <div class="x_content">

                        <div class="table-responsive">
                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                    <tr class="headings">
                                        <th class="column-title">ID </th>
                                        <th class="column-title">商品名稱</th>
                                        <th class="column-title">圖片</th>
                                        <th class="column-title">主分類</th>
                                        <th class="column-title">等級二分類</th>
                                        <th class="column-title">等級三分類</th>
                                        <th class="column-title">等級四分類</th>
                                        <th class="column-title">簡介</th>
                                        <th class="column-title">價錢</th>
                                        <th class="column-title no-link last"><span class="nobr">行動</span>
                                        </th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($products as $product)
                                        <tr class="even pointer">
                                            <td>{{ $product->id }}</td>
                                            <td>{{ $product->product_name }}</td>
                                            <td>
                                                <img src="{{ asset($product->product_image) }}"
                                                    alt="{{ $product->product_name }}" height="100px">
                                            </td>
                                            <td>{{ $product->category_name }}</td>
                                            <td>{{ $product->lvl2_category_name }}</td>
                                            <td>{{ $product->lvl3_category_name }}</td>
                                            <td>{{ $product->lvl4_category_name }}</td>
                                            <td>{{ $product->description }}</td>
                                            <td>${{ $product->price }} / {{$product->unit_name}}</td>

                                            <td>
                                                <a href="{{ route('editproduct', $product->id) }}"
                                                    class="btn btn-primary">更新</a>
                                                <a href="{{ route('deleteproduct', $product->id) }}"
                                                    class="btn btn-danger">刪除</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>

        </div>
    </div>
    </div>
    </div>
@endsection
