<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\BrandController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\Category_lvl2Controller;
use App\Http\Controllers\Category_lvl3Controller;
use App\Http\Controllers\Category_lvl4Controller;
use App\Http\Controllers\ColorController;
use App\Http\Controllers\OriginController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UnitController;

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
 */

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [AdminController::class, 'dashboard'])->name('admin.dashboard');

Route::controller(CategoryController::class)->group(function () {
    Route::get('/admin/all-category', 'index')->name('allcategory');
    Route::get('/admin/add-category', 'addCategory')->name('addcategory');
    Route::post('/admin/store-category', 'storeCategory')->name('storecategory');
    Route::get('/admin/edit-category/{id}', 'editCategory')->name('editcategory');
    Route::post('/admin/update-category', 'updateCategory')->name('updatecategory');
    Route::get('/admin/delete-category/{id}', 'deleteCategory')->name('deletecategory');

});

Route::controller(Category_lvl2Controller::class)->group(function () {
    Route::get('/admin/all-category-lvl2', 'index')->name('allcategorylvl2');
    Route::get('/admin/add-category-lvl2', 'addCategorylvl2')->name('addcategorylvl2');
    Route::post('/admin/store-category-lvl2', 'storeCategorylvl2')->name('storecategorylvl2');
    Route::get('/admin/edit-category-lvl2/{id}', 'editCategorylvl2')->name('editcategorylvl2');
    Route::post('/admin/update-category-lvl2', 'updateCategorylvl2')->name('updatecategorylvl2');
    Route::get('/admin/delete-category-lvl2/{id}', 'deleteCategorylvl2')->name('deletecategorylvl2');

});

Route::controller(Category_lvl3Controller::class)->group(function () {
    Route::get('/admin/all-category-lvl3', 'index')->name('allcategorylvl3');
    Route::get('/admin/add-category-lvl3', 'addCategorylvl3')->name('addcategorylvl3');
    Route::post('/admin/store-category-lvl3', 'storeCategorylvl3')->name('storecategorylvl3');
    Route::get('/admin/edit-category-lvl3/{id}', 'editCategorylvl3')->name('editcategorylvl3');
    Route::post('/admin/update-category-lvl3', 'updateCategorylvl3')->name('updatecategorylvl3');
    Route::get('/admin/delete-category-lvl3/{id}', 'deleteCategorylvl3')->name('deletecategorylvl3');

});

Route::controller(Category_lvl4Controller::class)->group(function () {
    Route::get('/admin/all-category-lvl4', 'index')->name('allcategorylvl4');
    Route::get('/admin/add-category-lvl4', 'addCategorylvl4')->name('addcategorylvl4');
    Route::post('/admin/store-category-lvl4', 'storeCategorylvl4')->name('storecategorylvl4');
    Route::get('/admin/edit-category-lvl4/{id}', 'editCategorylvl4')->name('editcategorylvl4');
    Route::post('/admin/update-category-lvl4', 'updateCategorylvl4')->name('updatecategorylvl4');
    Route::get('/admin/delete-category-lvl4/{id}', 'deleteCategorylvl4')->name('deletecategorylvl4');

});

Route::controller(ProductController::class)->group(function () {
    Route::get('/admin/all-product', 'index')->name('allproduct');
    Route::get('/admin/add-proudct', 'addProduct')->name('addproduct');
    Route::post('/admin/store-product', 'storeProduct')->name('storeproduct');
    Route::get('/admin/edit-product/{id}', 'editProduct')->name('editproduct');
    Route::post('/admin/update-product', 'updateProduct')->name('updateproduct');
    Route::get('/admin/delete-product/{id}', 'deleteProduct')->name('deleteproduct');
});

Route::controller(BrandController::class)->group(function () {
    Route::get('/admin/all-brand', 'index')->name('allbrand');
    Route::get('/admin/add-brand', 'addBrand')->name('addbrand');
    Route::post('/admin/store-brand', 'storeBrand')->name('storebrand');
    Route::get('/admin/edit-brand/{id}', 'editBrand')->name('editbrand');
    Route::post('/admin/update-brand', 'updateBrand')->name('updatebrand');
    Route::get('/admin/delete-brand/{id}', 'deleteBrand')->name('deletebrand');
});

Route::controller(ColorController::class)->group(function () {
    Route::get('/admin/all-color', 'index')->name('allcolor');
    Route::get('/admin/add-color', 'addColor')->name('addcolor');
    Route::post('/admin/store-color', 'storeColor')->name('storecolor');
    Route::get('/admin/edit-color/{id}', 'editColor')->name('editcolor');
    Route::post('/admin/update-color', 'updateColor')->name('updatecolor');
    Route::get('/admin/delete-color/{id}', 'deleteColor')->name('deletecolor');
});

Route::controller(OriginController::class)->group(function () {
    Route::get('/admin/all-origin', 'index')->name('allorigin');
    Route::get('/admin/add-origin', 'addOrigin')->name('addorigin');
    Route::post('/admin/store-origin', 'storeOrigin')->name('storeorigin');
    Route::get('/admin/edit-origin/{id}', 'editOrigin')->name('editorigin');
    Route::post('/admin/update-origin', 'updateOrigin')->name('updateorigin');
    Route::get('/admin/delete-origin/{id}', 'deleteOrigin')->name('deleteorigin');
});

Route::controller(UnitController::class)->group(function () {
    Route::get('/admin/all-unit', 'index')->name('allunit');
    Route::get('/admin/add-unit', 'addUnit')->name('addunit');
    Route::post('/admin/store-unit', 'storeUnit')->name('storeunit');
    Route::get('/admin/edit-unit/{id}', 'editUnit')->name('editunit');
    Route::post('/admin/update-unit', 'updateUnit')->name('updateunit');
    Route::get('/admin/delete-unit/{id}', 'deleteUnit')->name('deleteunit');
});
